Description

Currently QGIS relies on mean and sd values on the

GTif if present for stretching based on sd. Sometimes

this information can be wrong and gdalinfo -stats does

not force recalculating stats (see #5035).

The user should be able to force QGIS recalculating stats,

probably a button in Properties/Style would be a good option

History

#1 - 2012-10-06 02:13 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#2 - 2013-07-12 10:44 AM - Paolo Cavallini

- Category set to Rasters

#3 - 2015-12-13 04:09 AM - Médéric RIBREUX

- Status changed from Open to Feedback

Hello, bug triage...

isn't it the case when you use the "Load" button and the Extent and accuracy options in Raster Style tab ?

For me, triggering the "Load" button recalculate the stats of the raster layer.

Can you confirm this ?

#4 - 2015-12-13 04:24 AM - alobo -

The stats are certainly updated if the extent is changed, but

cannot check if they do in the case the extent remains that of the whole

raster object. I realised this problem 3 y ago because it happened 

that I had a geotif with wrong stats information that were not updated

in qgis. I think you must check the code to know if this is still the case:

does qgis recalculate stats or does it rely on whatever is written in the geotif?

#5 - 2017-05-01 12:48 AM - Giovanni Manghi

- Easy fix? set to No
